Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZWishListOptionValue Class Reference

## Public Member Functions
| __construct ( $id="")
| store ()
| get ( $id="")
| id ()
& | wishlistItem ()
& | option ()
& | optionValue ()
| setWishListItem (&$wishlistItem)
| setOption (&$option)
| setOptionValue (&$optionValue)

## Public Attributes
| $ID
| $WishListItemID
| $OptionID
| $OptionValueID

## Detailed Description

! eZTrade eZWishListOptionValue handles option values.

Definition at line 41 of file ezwishlistoptionvalue.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZWishListOptionValue::__construct | ( |  | $id = `""` | ) |

Constructs a new eZWishListOptionValue object.

If $id is set the object's values are fetched from the database.

Definition at line 49 of file ezwishlistoptionvalue.php.

References $id, and $ID.

## Member Function Documentation

## ◆ get()

eZWishListOptionValue::get | ( |  | $id = `""` | ) |

Fetches the object information from the database.

Definition at line 102 of file ezwishlistoptionvalue.php.

References $db, $id, $ret, and eZDB\globalDatabase().

## ◆ id()

eZWishListOptionValue::id | ( |  | ) |

Returns the object id.

Definition at line 130 of file ezwishlistoptionvalue.php.

References $ID.

## ◆ option()

& eZWishListOptionValue::option | ( |  | ) |

Returns the option object.

Definition at line 146 of file ezwishlistoptionvalue.php.

## ◆ optionValue()

& eZWishListOptionValue::optionValue | ( |  | ) |

Returns the option value object.

Definition at line 154 of file ezwishlistoptionvalue.php.

## ◆ setOption()

eZWishListOptionValue::setOption | ( | & | $option | ) |

Sets the option object id.

Definition at line 173 of file ezwishlistoptionvalue.php.

## ◆ setOptionValue()

eZWishListOptionValue::setOptionValue | ( | & | $optionValue | ) |

Sets the option value object id.

Definition at line 184 of file ezwishlistoptionvalue.php.

## ◆ setWishListItem()

eZWishListOptionValue::setWishListItem | ( | & | $wishlistItem | ) |

Sets the wishlist item object id.

Definition at line 162 of file ezwishlistoptionvalue.php.

## ◆ store()

eZWishListOptionValue::store | ( |  | ) |

Stores a wishlist option value to the database.

Definition at line 65 of file ezwishlistoptionvalue.php.

References $db, $res, eZDB\finish(), and eZDB\globalDatabase().

## ◆ wishlistItem()

& eZWishListOptionValue::wishlistItem | ( |  | ) |

Returns the wishlist item object.

Definition at line 138 of file ezwishlistoptionvalue.php.

## Member Data Documentation

## ◆ $ID

eZWishListOptionValue::$ID

Definition at line 192 of file ezwishlistoptionvalue.php.

Referenced by __construct(), and id().

## ◆ $OptionID

eZWishListOptionValue::$OptionID

Definition at line 194 of file ezwishlistoptionvalue.php.

## ◆ $OptionValueID

eZWishListOptionValue::$OptionValueID

Definition at line 195 of file ezwishlistoptionvalue.php.

## ◆ $WishListItemID

eZWishListOptionValue::$WishListItemID

Definition at line 193 of file ezwishlistoptionvalue.php.

The documentation for this class was generated from the following file:

- ezwishlistoptionvalue.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.